# draugr.numpy_utilities.datasets.categorical.shallow_category

Functions

`build_shallow_categorical_dataset`(directory, *) | Returns: An OrderedDict containing an entry for each label subfolder, with images split into training, testing, and validation sets within each label. The order of items defines the class indices. :param is_valid_file: :param directory: :param validation_percentage: :param testing_percentage: :param extensions: :param verbose: :return:.